------------------------------------------------------------------------------------
--Name:			200215[简体征服][任务脚本]忍者觉醒版本-忍者职业剧情任务
--Creator:		兰瑞妹
--Created:		2020/02/10
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>38

-- 1.玩家变成蛤蟆外形
-- 2.Yiraiya对玩家播放敲打动作
-- 3.玩家变回原外形
-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(260, 128)
------------------------------------------------------------
-- 蛤蟆外形
local monster = CppScriptMgr:AddSimplePlayer(23530, 260, 128, "", 4003000080,1)
local player  = CppScriptMgr:AddSimplePlayer(23577, 259, 124, "Yiraiya", 4003000081,1)
monster:SetDir(6)
CppScriptMgr:WaitMilSec(1000)

-- 敲打行为
CppScriptMgr:NpcCallOut("    No!\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc206", 150, 430, "Yiraiya", 250, 655)
CppScriptMgr:WaitMilSec(1000)

local effectObj9 = CppScriptMgr:AddEffect("daqingwa", 260, 128)
monster:SetHide(1)
CppScriptMgr:WaitMilSec(1000)

--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local hero = CppScriptMgr:QueryHero()
hero:SetPos(260, 128)
hero:SetDir(6)
CppScriptMgr:WaitMilSec(2000)